<template>
  <div>
    <h1 class="mb-3">In the last 3 months have you taken any of the following drugs?</h1>
    <p class="mb-6 text-base">Select all that apply.</p>
    <div class="space-y-3 mb-6">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      :disabled="!checkboxSelected.length"
      @click="handleClick"
      text="Next"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";
import CheckboxInput from "@/components/inputs/CheckboxInput";

export default {
  components: {CheckboxInput, CommonBtn},
  mixins: [answersMixin, checkboxMixin],
  name: "YourHealth16",
  data() {
    return {
      choices: [
        'Clarithromycin', 'Diltiazem', 'Erythromycin',
        'Itraconazole', 'Ketoconazole', 'Ritonavir',
        'Verapamil', 'Doxazosin mesylate (Cardura)', 'Prazosin hydrochloride (Minipress)',
        'Terazosin hydrochloride (Hytrin)', 'Hormones', 'Sedatives',
        'Ulcer medications', constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        if (newVal.length > 1 && newVal.includes(constants.NONE_CHOICE)) {
          const idx = newVal.indexOf(constants.NONE_CHOICE)
          if (idx === 0) {
            newVal.splice(idx, 1)
          } else {
            newVal = [constants.NONE_CHOICE]
          }
          this.checkboxSelected = newVal
        }

        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_16')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes('Clarithromycin')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Clarithromycin. Please try again when it’s been at least three months since you’ve taken Clarithromycin.')
      } else if (this.checkboxSelected.includes('Diltiazem')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Diltiazem. Please try again when it’s been at least three months since you’ve taken Diltiazem.')
      } else if (this.checkboxSelected.includes('Erythromycin')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Erythromycin. Please try again when it’s been at least three months since you’ve taken Erythromycin.')
      } else if (this.checkboxSelected.includes('Itraconazole')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Itraconazole. Please try again when it’s been at least three months since you’ve taken Itraconazole.')
      } else if (this.checkboxSelected.includes('Ketoconazole')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Ketoconazole. Please try again when it’s been at least three months since you’ve taken Ketoconazole.')
      } else if (this.checkboxSelected.includes('Ritonavir')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Ritonavir. Please try again when it’s been at least three months since you’ve taken Ritonavir.')
      } else if (this.checkboxSelected.includes('Verapamil')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Verapamil. Please try again when it’s been at least three months since you’ve taken Verapamil.')
      } else if (this.checkboxSelected.includes('Doxazosin mesylate (Cardura)')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Doxazosinmesylate (Cardura). Please try again when it’s been at least three months since you’ve taken Doxazosinmesylate (Cardura).')
      } else if (this.checkboxSelected.includes('Prazosin hydrochloride (Minipress)')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Prazosin hydrochloride (Minipress). Please try again when it’s been at least three months since you’ve taken Prazosin hydrochloride (Minipress).')
      } else if (this.checkboxSelected.includes('Terazosin hydrochloride (Hytrin)')) {
        this.setRefer('We’ve hit a minor road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently taken Terazosin hydrochloride (Hytrin). Please try again when it’s been at least three months since you’ve taken Terazosin hydrochloride (Hytrin).')
      } else {
        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
